matrix:
  platform:
  - debian11
  - ubuntu2004
  - ubuntu2204
  - ubuntu2404
  - macos_arm64
  - windows
  bazel:
  - 8.x
  - 7.x
  - 9.*

tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@c-ares//...'
  verify_windows_local:
    name: Verify local builds on Windows
    platform: windows
    bazel: ${{ bazel }}
    build_targets:
    - '@c-ares//...'
    build_flags:
    - '--strategy=CppCompile=local'
    - '--strategy=CppLink=local'
    - '--strategy=CppArchive=local'
